body {height: 200vh;}

.hero {
    width: 100%;
    height: 100vh;
}

#header.transparent {background: #3e2560;}

/* Overlay background */
#popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    opacity: 0;
    transition: opacity .3s ease;
    z-index: 9999999;
}

/* Popup box */
#popup-box {
    background: white;
    padding: 20px 30px;
    border-radius: 10px;
    text-align: center;
    max-width: 50%;
    box-shadow: 0 5px 20px rgba(0,0,0,0.3);
}

@media (max-width: 700px) {#popup-box {max-width: 80%;}}

/* Show popup */
#popup-overlay.active {
    visibility: visible;
    opacity: 1;
}

/* Button */
#close-popup {
    margin-top: 15px;
    padding: 8px 16px;
    border: none;
    background: black;
    color: white;
    border-radius: 5px;
    cursor: pointer;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.section-header {
    text-align: center;
    width: 100%;
    line-height: 34px;
}

.section-header h1 {color: #3e2560; font-size: clamp(16px, 3vw, 2.5rem); text-transform: uppercase;}
.section-header h3 {color: #2E3A45; font-size: clamp(14px, 3vw, 1.2rem); text-transform: uppercase;}
@media (max-width: 900px) {
    .section-header {line-height: 20px;}
    .section-header h1 {font-size: clamp(20px, 3vw, 2.5rem);}
    .section-header h3 {font-size: clamp(16px, 3vw, 1.2rem);}
}

.empty {padding: 10px 0;}

.aboutFHHS, .aboutFHHSTheAddamsFamily, .behindTheScene, .credits {
    margin: 60px 0;
    width: 90%;
    height: auto;
}

.aboutFHHSContent, .aboutFHHSTheAddamsFamilyContent, .behindTheSceneContent, .creditsContent {
    margin-top: 30px;
    display: flex;
    justify-content: space-evenly;
}

.FHHSImg, .FHHSInfo, .FHHSTheAddamsFamilyInfo, .behindTheSceneInfo, .FHHSTheAddamsFamilyImg, .FHHSTheAddamsFamilyImg1 {
    border-radius: 10px;
    width: 50%;
}

.FHHSTheAddamsFamilyImg1, .videoControl {display: none;}

.FHHSInfo, .FHHSTheAddamsFamilyInfo, .behindTheSceneInfo {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.FHHSInfo h3, .FHHSTheAddamsFamilyInfo h3, .behindTheSceneInfo h3 { padding: 0 20px; font-size: clamp(14px, 2vw, 2rem); color: #2E3A45;}
.FHHSTheAddamsFamilyInfo, .behindTheSceneInfo {text-align: end;}

.FHHSInfo p, .FHHSTheAddamsFamilyInfo p, .behindTheSceneInfo p {
    font-size: clamp(14px, 2vw, 16px);
    padding: 0 20px;
    color: #2E3A45;
}
.FHHSTheAddamsFamilyInfo button, .behindTheSceneInfo button {margin-right: 20px;}

.FHHSInfo button, .FHHSTheAddamsFamilyInfo button, .behindTheSceneInfo button {
    margin-top: 30px;
    margin-left: 20px;
    padding: 15px;
    width: 90%;
    border-radius: 100px;
    border: none;
    text-transform: uppercase;
    font-weight: bold;
    color: white;
    background: #3e2560;

    cursor: pointer;
    transition: 0.3s;
}

.FHHSInfo button:hover, .FHHSTheAddamsFamilyInfo button:hover, .behindTheSceneInfo button.hover {
    background: #2E3A45;
}

.videoControl1 {
    width: 49%;
}

.video {
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

@media (max-width: 900px) {
    .aboutFHHSTheAddamsFamily {margin: 0;}
    .FHHSInfo button, .FHHSTheAddamsFamilyInfo button, .behindTheSceneInfo button {margin: 0;}
    .aboutFHHSContent, .aboutFHHSTheAddamsFamilyContent, .behindTheSceneContent {flex-direction: column;}
    .behindTheSceneContent video {width: 99%; margin: 10px 0;}
    .FHHSImg, .FHHSTheAddamsFamilyImg1 {width: 100%; height: 280px;}
    .FHHSTheAddamsFamilyImg, .videoControl1 {display: none;} .FHHSTheAddamsFamilyImg1, .videoControl {display: block;}
                                                             .video {height: 300px;}
                                                             .videoControl {margin-bottom: 20px;}
    .FHHSInfo, .FHHSTheAddamsFamilyInfo, .behindTheSceneInfo {width: 100%; text-align: center;}
    .FHHSInfo h3, .FHHSTheAddamsFamilyInfo h3, .behindTheSceneInfo h3 {font-size: clamp(25px, 2vw, 1.2rem); margin-top: 15px; display: none;}
    .FHHSInfo p, .FHHSTheAddamsFamilyInfo p, .behindTheSceneInfo p {font-size: clamp(15px, 1vw, 25px); padding: 15px 0;}
    .empty {display: none;}
}

.social-section {
    width: 100%;
    padding: 60px 0;
    text-align: center;
}

/* Grid Layout */
.social-links {
    width: 89%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    justify-content: center;
    gap: 25px;
    margin: 30px auto;
}

/* Individual Card */
.social-card {
    background: #3e2560;
    padding: 20px;
    border-radius: 12px;
    text-decoration: none;
    color: white;
    font-size: 1.1rem;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
    transition: 0.25s ease;
}

.social-card:hover {
    transform: translateY(-5px);
}

/* Icon */
.social-icon {
    width: 45px;
    height: 45px;
    object-fit: contain;
}

/* Mobile Tweaks */
@media (max-width: 500px) {
    .social-title {
        font-size: 2rem;
    }

    .social-card {
        padding: 18px;
    }

    .social-icon {
        width: 40px;
        height: 40px;
    }
}

.slides {
    margin: 20px 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.slides iframe {
    width: 48%;
    aspect-ratio: 14/9;
    border-radius: 10px;
}

@media (max-width: 900px) {
    .slides {flex-direction: column;}
    .slides iframe {width: 100%;}
}

#viewMore {
    margin-top: 20px;
    padding: 10px 50px;
    background: #3e2560;
    color: white;
    font-weight: bold;
    border-radius: 30px;
    transition: 0.3s;
}
#viewMore:hover {background: #765a9a;}

.creditsContent {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
    gap: 20px;
}

.creditsContent div {
    display: flex;
    flex-direction: column;

    width: 100%;
    background: white;
    box-shadow: 0.3em 0.3em 0.7em #a279da;
    height: auto;
    border-radius: 10px;
    padding-bottom: 40px;
}

.creditsContent div h2 {
    text-align: center;
    padding-top: 35px;
    color: #3e2560;
}

.creditsContent ul {
    margin-top: 20px;
    width: 100%;
}

.creditsContent ul li {
    list-style: none;
    text-align: center;
    padding: 2px 0;
    color: #765a9a;
    font-weight: bold;
    font-size: 14px;
}

